# NewsAttributes.NewsGenre (Crawler-commons 1.0 API)
Date: 2019-03-19

crawlercommons.sitemaps.extension

## Enum NewsAttributes.NewsGenre

- java.lang.Object
- - java.lang.Enum<NewsAttributes.NewsGenre>
  - - crawlercommons.sitemaps.extension.NewsAttributes.NewsGenre

All Implemented Interfaces:
  Serializable, Comparable<NewsAttributes.NewsGenre>

Enclosing class:
  NewsAttributes

    public static enum NewsAttributes.NewsGenre
    extends Enum<NewsAttributes.NewsGenre>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Blog`
`OpEd`
`Opinion`
`PressRelease`
`Satire`
`UserGenerated`

### Method Summary

All Methods Static Methods Concrete Methods
`static NewsAttributes.NewsGenre` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NewsAttributes.NewsGenre[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### Blog

    public static final NewsAttributes.NewsGenre Blog

#### OpEd

    public static final NewsAttributes.NewsGenre OpEd

#### Opinion

    public static final NewsAttributes.NewsGenre Opinion

#### PressRelease

    public static final NewsAttributes.NewsGenre PressRelease

#### Satire

    public static final NewsAttributes.NewsGenre Satire

#### UserGenerated

    public static final NewsAttributes.NewsGenre UserGenerated

### Method Detail

#### values

    public static NewsAttributes.NewsGenre[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NewsAttributes.NewsGenre c : NewsAttributes.NewsGenre.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NewsAttributes.NewsGenre valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null